@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --first-color: #34251d;
    --second-color: #6A4A30;
    --third-color: #C3A98F;
    --txt-color: #131416;
    --tittle-color: #f9f9f8;
  }
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: "Montserrat", sans-serif;
    color: #131416;
}
body{
    background-color: #f9f9f8;
}
label{
    color: #131416;
}
/*HEADER*/
header{
    height: 10vh;
    background-color:#34251de7;
    padding: 0 50px;
    color: var(--tittle-color);
    display: flex;
    justify-content: space-between;
    align-items: center;

    position: fixed;
    width: 100%;
}
.logo{
    display: flex;
    justify-content: center;
    text-align: start;
    max-width: 150px;
}
.logo img{
    width: 100%;
}
.menu a{
    color: var(--tittle-color);
    text-transform: uppercase;
    text-decoration: none;
    padding: 0 10px;
    transition: 0.4s;
    font-size: 15px;
}
.mostrar-menu,
.esconder-menu{
    font-size: 40px;
    cursor: pointer;
    display: none;
    transition: 0.4s;
    color: var(--tittle-color);
}
.mostrar-menu{
    order: 1;
}
.menu a:hover,
.mostrar-menu:hover,
.esconder-menu:hover{
    color: var(--third-color);
}
#check{
    display: none;
}
#banner{
    padding:0;
    width: 100%;
   
}
#banner::before{
    content: '';
    background: rgba(77,77,92,0.6);
    position: absolute;
    height: 100%;
}
.contenido-banner{
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: start;

    background-image: url(background_desktopv3.jpg);
    height: 100vh;
    background-size: cover;
    background-position: center;
    background-position-x: center;
}
.tittle-banner{
    font-size: 2rem;
    max-width: 800px;
    text-align: center;
    padding: 50px;
    background-color: #34251dc1;
}
.tittle-banner h1,
.tittle-banner p{
    font-weight: 500;
    color: var(--tittle-color);
}
.tittle-banner p{
    text-transform: uppercase;
    margin-top: 10px;
}
.ws-button {
    position: fixed;
    bottom: 30px;
    right: 30px;
    z-index: 999;

    height: 60px;
    width: 60px;
    display: flex;
    align-items: center;
    justify-content: center;

    background-color: #58bf50;
    color: #ffffff;
    border: none;
    padding: 15px;
    border-radius: 100%;
    cursor: pointer;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s, transform 0.3s;
}
.ws-button:hover {
    background-color: #43943d;;
    transform: scale(1.1);
}
.ws-button i{
    font-size: 40px;
    color: #f4f4ee;
}

/*GENERAL SECCION*/
html {
    scroll-behavior: smooth;
}
seccion{
    max-width: 1300px;
    margin: auto;    
}    
.nosotros-box h4,
.contenedor-servicios h4,
.datos-ubicacion h4,
.redes h4 {
    font-size: 25px;
    padding: 20px;
    font-weight: 500;
}
#txt{
    text-align: center;
    font-size: 18px;
    padding: 20px;
    font-weight: 400;
}
/*SOBRE NOSOTROS*/
#nosotros{
    display: flex;
    flex-direction: column;
}
.contenedor-tittle{
    text-align: center;
    margin-top: 70px;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.tittle{
    padding: 25px 25px 5px 25px;
    font-size: 2.3rem;
    font-weight: 500;
    color: var(--second-color);
}
.contenedor-tittle i{
    font-size: 1.5rem;
    color: var(--second-color);
}

.foto_nosotros img{
    width: 300px;
    border-radius: 100%;
}
.imagen img{
    width: 200px;
    border-radius: 100%;
}
.nosotros-container{
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
}
.nosotros-box{
    padding: 50px 70px;
}
/*SERVICIOS*/
#servicios{
    padding: 0;
    display: flex;
    flex-direction: column;
}
.contenedor-servicios{
    padding: 30px;
    display: flex;
    justify-content: space-between;
    text-align: center;
}
.servicio{
    flex: 1;
    margin: 20px;
    padding: 20px;
    border-radius: 20px;
}
#servicio-izq{
    border-left: none;
}
#servicio1{
    border-left: none;
}

/*PUBLICACIONES*/

.publicaciones {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.publications-section {
    width: 80%;
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 20px;
    border-radius: 8px;
  }
  
  .publication {
    background-color: #f9f9f9;
    padding: 15px;
    border: 1px solid #ccc;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
  }
  .publication:hover {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  }
  
  .publication-title {
    font-size: 1rem;
    color: #333;
    margin-bottom: 10px;
  }
  
  .publication-author {
    font-size: 1rem;
    color: #666;
    margin-bottom: 10px;
  }
  
  .publication-excerpt {
    font-size: 1rem;
    color: #555;
    margin-bottom: 10px;
  }
  
  .publication-link {
    font-size: 1rem;
    color: #007BFF;
    text-decoration: none;
    font-weight: bold;
  }
  
  .publication-link:hover {
    text-decoration: underline;
  }
  

/*CONTACTO*/
#contacto{
    padding: 0;
    display: flex;
    flex-direction: column;
}
.contenedor-ubicacion{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;
}
.mapa{
    width: 600px;
    height: 300px;
}
iframe{
    width: 100%;
    height: 100%;
}
.datos-ubicacion{
    margin-left: 40px;
    display: flex;
    flex-direction: column;
}

.datos-ubicacion i,
.datos-ubicacion p{
    padding-left: 20px;
    margin-bottom: 25px;
}
.datos-ubicacion i,
.datos-ubicacion span{
    font-size: 20px;
}
.datos-ubicacion span{
    font-weight: 400;
}
.redes{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.redes-container{
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 15vh;
    align-items: center;
    justify-content: center;
   
    margin-top: 20px;
    margin-bottom: 30px;
}
.red{
    display: flex;
    justify-content: center; 
    align-items: center; 

    width: 65px; 
    height: 65px; 
    background-color: #ccc; 
    flex-direction: row;

    margin-left: 40px;
    margin-bottom: 20px;
    border-radius: 100%;
    transition: box-shadow 0.3s;
    font-size: 35px;
}
.red:hover{
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    background-color: var(--first-color);
    transform: scale(1.1);
}
.red:hover i{
    color: var(--tittle-color);
}
.button-container{
    display: flex;
    justify-content: flex-end;
}
.button{
    cursor: pointer;
    height: 50px;
    width: 150px;
    border: none;
    background-color: #04363d;
    transition: background-color 0.3s, transform 0.3s;
    cursor: pointer;

    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;

    border-radius: 5px;
    margin-bottom: 20px;
}
.button:hover{
    background-color: #021f23;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
}
#button{
    border: none;
    background-color: transparent;

    text-transform: uppercase;
    font-weight: 600;
    color: #ccc;
}
#button:hover{
    box-shadow: none;
}

/*FOOTER*/
.footer{
    height: 20vh;
    width: 100%;
    margin-top: 30px;
    background-color: var(--first-color);
    display: flex;
    align-items: center;
    justify-content: center;
}
.footer a{  
    font-size: 15px;
    font-weight: 200;
    color: var(--tittle-color);
}

/*RESPONSIVE*/
@media(max-width:768px){
    /*SECCION GENERAL*/
    .nosotros-box h4,
    .contenedor-servicios h4,
    .datos-ubicacion h4,
    .redes h4,
    .formulario h4{
        font-size: 20px;
        padding: 20px;
        font-weight: 500;
    }
    .tittle{
        font-size: 32px;
    }
    /*HEADER*/
    .mostrar-menu,
    .esconder-menu{
    display: block;
    }
    .menu{
        position: fixed;
        width: 100%;
        height: 100vh;
        background-color: #34251d;
        right: -100%;
        top: 0;
        text-align: center;
        padding: 100px 0;
        z-index: 100;
        transition: 0.8s;
    }
    .menu a{
        display: block;
        padding: 20px;
    }
    .esconder-menu{
        position: absolute;
        top: 40px;
        right: 40px;
    }
    #check:checked~.menu{
        right: 0;
    }
    /*BANNER*/
    .contenido-banner{
       
        background-size: cover;
        background-position: center;
        background-position-x: center;

        justify-content: start;
    }
    .tittle-banner{
        margin-top: 250px;
        max-width: 100%;
        text-align: center;
        }

    .tittle-banner h1{
        font-weight: 700;
        font-size: 2rem;
        margin-bottom: 10px;
    }
    .tittle-banner p{
        font-size: 1.2rem;
        font-weight: 500;
    }
    /*NOSOTROS*/
    #nosotros{
        width: 100%;
        flex-direction: column;
    }
    .nosotros-container{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
    .nosotros-box{
        padding: 15px;
    }
     /*SERVICIOS*/
     .contenedor-servicios{
        flex-direction:column;
        padding: 5px;
    }
    .servicio{
        padding: 5px;
        margin: 5px;
    }
    .contaxto-box,
    .datos-box{
        flex-direction: column;
    }
     /*CONTACTO*/
     .redes h4{
        text-align: center;
     }
     .red{
        margin-left: 10px;
        width: 50px;
        height: 50px;
        font-size: 30px;
     }
    .contenedor-ubicacion{
        flex-direction: column-reverse;
    }
    .datos-ubicacion{
        margin-left: 0;
        margin-bottom: 10px;
    }
    .datos-ubicacion span,
    .datos-ubicacion i{
        font-size: 15px;
    }
    .mapa {
        max-width: 300px;
    }
}